Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513818 - [abrt] gnome-contacts: folks_persona_store_add_persona_from_details(): gnome-contacts killed by SIGSEGV
Summary: [abrt] gnome-contacts: folks_persona_store_add_persona_from_details(): gnome-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-contacts
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6cc652f6e906f314a86914100cf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 03:03 UTC by Ben Liblit
Modified: 2018-11-30 18:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:14:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-16 03:03 UTC, Ben Liblit
no flags Details
File: cgroup (deleted)
2017-11-16 03:03 UTC, Ben Liblit
no flags Details
File: core_backtrace (deleted)
2017-11-16 03:03 UTC, Ben Liblit
no flags Details
File: cpuinfo (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: dso_list (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: environ (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: exploitable (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: limits (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: maps (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: mountinfo (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: open_fds (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: proc_pid_status (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details
File: var_log_messages (deleted)
2017-11-16 03:04 UTC, Ben Liblit
no flags Details

Description Ben Liblit 2017-11-16 03:03:50 UTC
Version-Release number of selected component:
gnome-contacts-3.26-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-contacts --gapplication-service
crash_function: folks_persona_store_add_persona_from_details
executable:     /usr/bin/gnome-contacts
journald_cursor: s=e88e3f203f9e4ea1944585e95ed3a86d;i=3b091;b=a9d86c21c2934eaf8508c015847defb9;m=a482ed92;t=55e10c1a268b5;x=fade413b7397c4db
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            29364

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 folks_persona_store_add_persona_from_details at persona-store.c:553
 #1 contacts_contact_create_primary_persona_for_details_co at contacts-contact.c:5540
 #2 contacts_link_contacts_co at contacts-linking.c:4896
 #3 contacts_link_contacts at contacts-linking.c:4655
 #4 __lambda68_ at contacts-contact-pane.c:720
 #5 ___lambda68__gtk_button_clicked at contacts-contact-pane.c:729
 #6 _g_closure_invoke_va at gclosure.c:867
 #9 gtk_button_do_release at gtkbutton.c:1843
 #10 gtk_real_button_released at gtkbutton.c:1961
 #11 _g_closure_invoke_va at gclosure.c:867

Potential duplicate: bug 1228418

Comment 1 Ben Liblit 2017-11-16 03:03:56 UTC
Created attachment 1353180 [details]
File: backtrace

Comment 2 Ben Liblit 2017-11-16 03:03:57 UTC
Created attachment 1353181 [details]
File: cgroup

Comment 3 Ben Liblit 2017-11-16 03:03:58 UTC
Created attachment 1353182 [details]
File: core_backtrace

Comment 4 Ben Liblit 2017-11-16 03:04:02 UTC
Created attachment 1353183 [details]
File: cpuinfo

Comment 5 Ben Liblit 2017-11-16 03:04:04 UTC
Created attachment 1353184 [details]
File: dso_list

Comment 6 Ben Liblit 2017-11-16 03:04:05 UTC
Created attachment 1353185 [details]
File: environ

Comment 7 Ben Liblit 2017-11-16 03:04:06 UTC
Created attachment 1353186 [details]
File: exploitable

Comment 8 Ben Liblit 2017-11-16 03:04:07 UTC
Created attachment 1353187 [details]
File: limits

Comment 9 Ben Liblit 2017-11-16 03:04:09 UTC
Created attachment 1353188 [details]
File: maps

Comment 10 Ben Liblit 2017-11-16 03:04:10 UTC
Created attachment 1353189 [details]
File: mountinfo

Comment 11 Ben Liblit 2017-11-16 03:04:11 UTC
Created attachment 1353190 [details]
File: open_fds

Comment 12 Ben Liblit 2017-11-16 03:04:12 UTC
Created attachment 1353191 [details]
File: proc_pid_status

Comment 13 Ben Liblit 2017-11-16 03:04:13 UTC
Created attachment 1353192 [details]
File: var_log_messages

Comment 14 Ben Cotton 2018-11-27 18:14:22 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 18:14:18 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.